summaryrefslogtreecommitdiff
path: root/dev-python/gevent
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/gevent
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/gevent')
-rw-r--r--dev-python/gevent/Manifest5
-rw-r--r--dev-python/gevent/gevent-1.4.0.ebuild67
-rw-r--r--dev-python/gevent/gevent-20.5.1.ebuild89
-rw-r--r--dev-python/gevent/gevent-20.5.2.ebuild90
-rw-r--r--dev-python/gevent/gevent-20.6.0.ebuild90
-rw-r--r--dev-python/gevent/gevent-20.6.1.ebuild90
-rw-r--r--dev-python/gevent/metadata.xml13
7 files changed, 444 insertions, 0 deletions
diff --git a/dev-python/gevent/Manifest b/dev-python/gevent/Manifest
new file mode 100644
index 000000000000..335d85f61238
--- /dev/null
+++ b/dev-python/gevent/Manifest
@@ -0,0 +1,5 @@
+DIST gevent-1.4.0.tar.gz 5169595 BLAKE2B 0c78f67bc94d15419b8eadf8825d9657c6a7a82756308216e1ca94d5465c25836cb736b8b370a12d1003eb8614effd4110d8ed47ee2b0d7febc2bda4038adc0a SHA512 6771f4f2932055270e4f5a79ae815e93fd0f471defa7f437dc84907ea8b44672e05ae5eb6958f8d90580b2471785dce4044d9d1bbea0dd0c34c1381d88af0344
+DIST gevent-20.5.1.tar.gz 5566653 BLAKE2B 1d9a474681573ec2e9d3c0d40fbae8a91b8cfb80c3ff8b3cf0e119b0484458941224302afb59f16c3272e1d770b1c1e92a3f648754a81d2e894e35ed8a335c31 SHA512 c6f9360efa86e598b7b240cd15e24ee0711dc314bb14f8bcaee7b0768b34a0f090d66296819f4c2eb95fe1565fe1c0f3472fb47444c31cfebc348b420811aed5
+DIST gevent-20.5.2.tar.gz 5567755 BLAKE2B 9cac45f92c7c1841cca4eb52a54f71406beb3e83136170610bba326a32722de3c5ebd3b777a45b73ab5e1012eb0dc49d861b042bab0c6194e61f44e6011ede2e SHA512 24f00a599f26d673947f0ed5582f8b55d1b214677578d7c5c2f8d8c106f89a98951db523597c470bcd788de9f6b7abcd3f25f7aff27788227f6d8c7ca7c183c1
+DIST gevent-20.6.0.tar.gz 5803237 BLAKE2B 97b988964ef80fcc1c3238718b6802016fb46742c94e7e56b5196139181ff82ce60816e0a8ccc5c3e1c3b73ec11cc705884b5ac5524dbd5116dc0d8722ccc7a4 SHA512 28ee030934d3c379577c9f86b76838e5d76c7ea7c0880cdeac9dc5ead497ae0600fb02b2984c7312fd42319142200c674b75da2e93b58fd4a99882d601a95108
+DIST gevent-20.6.1.tar.gz 5806150 BLAKE2B fb75e440f31ad2952d1395780a66ee673c55e62b635a2c6757efe9706c404d126c38a613ac08cd088900c0b10913fe9ce9d57cec8a7cb252ae87912142cfafce SHA512 b7ceb5251b01972a11e3d51e1ebcaaca7c08d36b6ba7b138bee57f0d5da4553539a0ad538e8a433321bdac396788acbfb0ac294191e829df3f066d00816310bb
diff --git a/dev-python/gevent/gevent-1.4.0.ebuild b/dev-python/gevent/gevent-1.4.0.ebuild
new file mode 100644
index 000000000000..51c761bd8a9e
--- /dev/null
+++ b/dev-python/gevent/gevent-1.4.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.org/project/gevent/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~mips ppc ppc64 s390 ~sparc x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples"
+
+RDEPEND="
+ >=dev-libs/libev-4.23
+ >=net-dns/c-ares-1.12
+ >=dev-python/greenlet-0.4.14
+ virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+RESTRICT="test"
+
+python_prepare_all() {
+ export LIBEV_EMBED="false"
+ export CARES_EMBED="false"
+ export EMBED="false"
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+}
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_test() {
+ cd src/greentest || die
+
+ GEVENT_RESOLVER=thread \
+ "${PYTHON}" testrunner.py --config known_failures.py || die
+ GEVENT_RESOLVER=ares GEVENTARES_SERVERS=8.8.8.8 \
+ "${PYTHON}" testrunner.py --config known_failures.py \
+ --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_FILE=thread \
+ "${PYTHON}" testrunner.py --config known_failures.py $(grep -l subprocess test_*.py) || die
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.rst )
+ use doc && local HTML_DOCS=( doc/_build/html/. )
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/gevent/gevent-20.5.1.ebuild b/dev-python/gevent/gevent-20.5.1.ebuild
new file mode 100644
index 000000000000..faeb72ae729f
--- /dev/null
+++ b/dev-python/gevent/gevent-20.5.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.org/project/gevent/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/libev-4.23
+ >=net-dns/c-ares-1.12
+ >=dev-python/greenlet-0.4.14
+ virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/futures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ ' -2)
+ )"
+
+distutils_enable_sphinx doc
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+#RESTRICT="test"
+
+python_prepare_all() {
+ export LIBEV_EMBED="false"
+ export CARES_EMBED="false"
+ export EMBED="false"
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+}
+
+python_test() {
+ cd src/gevent/tests || die
+ # TODO: figure out how to make them work and not hang
+# GEVENT_RESOLVER=ares \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=dnspython \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=thread \
+# "${EPYTHON}" -m gevent.tests \
+# --verbose \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_FILE=thread \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ test__*subprocess*.py || die
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.rst )
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/gevent/gevent-20.5.2.ebuild b/dev-python/gevent/gevent-20.5.2.ebuild
new file mode 100644
index 000000000000..0ada47ba7720
--- /dev/null
+++ b/dev-python/gevent/gevent-20.5.2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.org/project/gevent/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/libev-4.23:=
+ dev-libs/libuv:=
+ >=net-dns/c-ares-1.12:=
+ >=dev-python/greenlet-0.4.14
+ virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/futures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ ' -2)
+ )"
+
+distutils_enable_sphinx doc
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+#RESTRICT="test"
+
+python_prepare_all() {
+ export LIBEV_EMBED="false"
+ export CARES_EMBED="false"
+ export EMBED="false"
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+}
+
+python_test() {
+ cd src/gevent/tests || die
+ # TODO: figure out how to make them work and not hang
+# GEVENT_RESOLVER=ares \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=dnspython \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=thread \
+# "${EPYTHON}" -m gevent.tests \
+# --verbose \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_FILE=thread \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ test__*subprocess*.py || die
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.rst )
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/gevent/gevent-20.6.0.ebuild b/dev-python/gevent/gevent-20.6.0.ebuild
new file mode 100644
index 000000000000..0ada47ba7720
--- /dev/null
+++ b/dev-python/gevent/gevent-20.6.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.org/project/gevent/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/libev-4.23:=
+ dev-libs/libuv:=
+ >=net-dns/c-ares-1.12:=
+ >=dev-python/greenlet-0.4.14
+ virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/futures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ ' -2)
+ )"
+
+distutils_enable_sphinx doc
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+#RESTRICT="test"
+
+python_prepare_all() {
+ export LIBEV_EMBED="false"
+ export CARES_EMBED="false"
+ export EMBED="false"
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+}
+
+python_test() {
+ cd src/gevent/tests || die
+ # TODO: figure out how to make them work and not hang
+# GEVENT_RESOLVER=ares \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=dnspython \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=thread \
+# "${EPYTHON}" -m gevent.tests \
+# --verbose \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_FILE=thread \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ test__*subprocess*.py || die
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.rst )
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/gevent/gevent-20.6.1.ebuild b/dev-python/gevent/gevent-20.6.1.ebuild
new file mode 100644
index 000000000000..0ada47ba7720
--- /dev/null
+++ b/dev-python/gevent/gevent-20.6.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="http://gevent.org/ https://pypi.org/project/gevent/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/libev-4.23:=
+ dev-libs/libuv:=
+ >=net-dns/c-ares-1.12:=
+ >=dev-python/greenlet-0.4.14
+ virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/futures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ ' -2)
+ )"
+
+distutils_enable_sphinx doc
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+#RESTRICT="test"
+
+python_prepare_all() {
+ export LIBEV_EMBED="false"
+ export CARES_EMBED="false"
+ export EMBED="false"
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+}
+
+python_test() {
+ cd src/gevent/tests || die
+ # TODO: figure out how to make them work and not hang
+# GEVENT_RESOLVER=ares \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=dnspython \
+# "${EPYTHON}" -m gevent.tests \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+# GEVENT_RESOLVER=thread \
+# "${EPYTHON}" -m gevent.tests \
+# --verbose \
+# -uall,-network \
+# --config known_failures.py \
+# --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_FILE=thread \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ test__*subprocess*.py || die
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.rst )
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/gevent/metadata.xml b/dev-python/gevent/metadata.xml
new file mode 100644
index 000000000000..24cc31a92916
--- /dev/null
+++ b/dev-python/gevent/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">surfly/gevent</remote-id>
+ <remote-id type="pypi">gevent</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>